Package org.codehaus.groovy.groovydoc

## Interface GroovyClassDoc

- All Superinterfaces:
    `Comparable`, `GroovyDoc`, `GroovyProgramElementDoc`, `GroovyType`
  All Known Implementing Classes:
    `ArrayClassDocWrapper`, `ExternalGroovyClassDoc`, `SimpleGroovyClassDoc`

      public interface GroovyClassDoc
      extends GroovyType, GroovyProgramElementDoc

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `GroovyConstructorDoc[]` | `constructors()` |
    `GroovyConstructorDoc[]` | `constructors​(boolean filter)` |
    `boolean` | `definesSerializableFields()` |
    `GroovyFieldDoc[]` | `enumConstants()` |
    `GroovyFieldDoc[]` | `fields()` |
    `GroovyFieldDoc[]` | `fields​(boolean filter)` |
    `GroovyClassDoc` | `findClass​(String className)` |
    `String` | `getFullPathName()` |
    `String` | `getRelativeRootPath()` |
    `GroovyClassDoc[]` | `importedClasses()` |
    `GroovyPackageDoc[]` | `importedPackages()` |
    `GroovyClassDoc[]` | `innerClasses()` |
    `GroovyClassDoc[]` | `innerClasses​(boolean filter)` |
    `GroovyClassDoc[]` | `interfaces()` |
    `GroovyType[]` | `interfaceTypes()` |
    `boolean` | `isAbstract()` |
    `boolean` | `isExternalizable()` |
    `boolean` | `isSerializable()` |
    `GroovyMethodDoc[]` | `methods()` |
    `GroovyMethodDoc[]` | `methods​(boolean filter)` |
    `GroovyFieldDoc[]` | `properties()` |
    `GroovyFieldDoc[]` | `serializableFields()` |
    `GroovyMethodDoc[]` | `serializationMethods()` |
    `boolean` | `subclassOf​(GroovyClassDoc gcd)` |
    `GroovyClassDoc` | `superclass()` |
    `GroovyType` | `superclassType()` |

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

    - ### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyDoc

      `commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, setRawCommentText`

    - ### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyProgramElementDoc

      `annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifiers, modifierSpecifier, qualifiedName`

    - ### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyType

      `isPrimitive, qualifiedTypeName, simpleTypeName, toString, typeName`

- - ### Method Detail

    - #### constructors

          GroovyConstructorDoc[] constructors()

    - #### constructors

          GroovyConstructorDoc[] constructors​(boolean filter)

    - #### definesSerializableFields

          boolean definesSerializableFields()

    - #### enumConstants

          GroovyFieldDoc[] enumConstants()

    - #### fields

          GroovyFieldDoc[] fields()

    - #### properties

          GroovyFieldDoc[] properties()

    - #### fields

          GroovyFieldDoc[] fields​(boolean filter)

    - #### findClass

          GroovyClassDoc findClass​(String className)

    - #### importedClasses

          GroovyClassDoc[] importedClasses()

    - #### importedPackages

          GroovyPackageDoc[] importedPackages()

    - #### innerClasses

          GroovyClassDoc[] innerClasses()

    - #### innerClasses

          GroovyClassDoc[] innerClasses​(boolean filter)

    - #### interfaces

          GroovyClassDoc[] interfaces()

    - #### interfaceTypes

          GroovyType[] interfaceTypes()

    - #### isAbstract

          boolean isAbstract()

    - #### isExternalizable

          boolean isExternalizable()

    - #### isSerializable

          boolean isSerializable()

    - #### methods

          GroovyMethodDoc[] methods()

    - #### methods

          GroovyMethodDoc[] methods​(boolean filter)

    - #### serializableFields

          GroovyFieldDoc[] serializableFields()

    - #### serializationMethods

          GroovyMethodDoc[] serializationMethods()

    - #### subclassOf

          boolean subclassOf​(GroovyClassDoc gcd)

    - #### superclass

          GroovyClassDoc superclass()

    - #### superclassType

          GroovyType superclassType()

    - #### getFullPathName

          String getFullPathName()

    - #### getRelativeRootPath

          String getRelativeRootPath()